## DOMString ixmlPrintDocument

## (IXML_Document* doc)

> Renders a Node and all sub-elements into an XML document representation.

## Documentation

> Renders a Node and all sub-elements into an XML document representation. The caller is required to free the DOMString returned from this function using ixmlFreeDOMString when it is no longer required.

> Note that this function can be used for any Node-derived interface. The difference between ixmlPrintDocument and ixmlPrintNode is ixmlPrintDocument includes the XML prolog while ixmlPrintNode only produces XML elements. An XML document is not well formed unless it includes the prolog and at least one element.

> This function introduces lots of white space to print the DOMString in readable format.

Returns:
  [DOMString] A DOMString with the XML document representation of the DOM tree or `NULL` on an error.

Alphabetic index

This page was generated with the help of DOC++.